## Saxon.Api

Class DocumentBuilder

Class DomDestination

Class DynamicContext

Class DynamicError

Class EmptyEnumerator

Class ExtensionFunctionCall

Class ExtensionFunctionDefinition

Class NullDestination

Class Processor

Class QName

Class SchemaManager

Class SchemaValidator

Class Serializer

Class StaticContext

Class StaticError

Class TextWriterDestination

Class XPathCompiler

Class XPathExecutable

Class XPathSelector

Class XQueryCompiler

Class XQueryEvaluator

Class XQueryExecutable

Class XdmAnyFunctionType

Class XdmAnyItemType

Class XdmAnyNodeType

Class XdmAtomicType

Class XdmAtomicValue

Class XdmDestination

Class XdmEmptySequence

Class XdmItem

Class XdmItemType

Class XdmNode

Class XdmNodeKind

Class XdmSequenceType

Class XdmValue

Class XmlDestination

Class XsltCompiler

Class XsltExecutable

Class XsltTransformer

Enum RecoveryPolicy

Enum SchemaValidationMode

Enum TreeModel

Enum WhitespacePolicy

Enum XdmAxis

Interface IMessageListener

Interface IQueryResolver

Interface IResultDocumentHandler

Interface IXdmEnumerator

Interface IXmlLocation

Interface SchemaResolver

## Saxon.Api
Class XsltExecutable

    public class XsltExecutable

implements object

  An `XsltExecutable` represents the compiled form of a stylesheet. To execute the stylesheet, it must first be loaded to form an `XsltTransformer`.

  An `XsltExecutable` is immutable, and therefore thread-safe. It is simplest to load a new `XsltEvaluator` each time the stylesheet is to be run. However, the `XsltEvaluator` is serially reusable within a single thread.

  An `XsltExecutable` is created by using one of the `Compile` methods on the `XsltCompiler` class.

Property Summary
`PreparedStylesheet` | `Implementation` Escape hatch to the underlying Java implementation object

Method Summary
`XsltTransformer` | `Load()` Load the stylesheet to prepare it for execution.
`void` | `Explain(XmlDestination destination)` Output an XML representation of the compiled code of the stylesheet, for purposes of diagnostics and instrumentation

Property Detail

### Implementation

    public PreparedStylesheet Implementation {get; }

  Escape hatch to the underlying Java implementation object

Method Detail

### Load

    public XsltTransformer Load()

  Load the stylesheet to prepare it for execution.

  returns
    An `XsltTransformer`. The returned `XsltTransformer` can be used to set up the dynamic context for stylesheet evaluation, and to run the stylesheet.

### Explain

    public void Explain(XmlDestination destination)

  Output an XML representation of the compiled code of the stylesheet, for purposes of diagnostics and instrumentation

  Parameters:
  `destination` -
    The destination for the diagnostic output